Bug 24291

Summary: Explanation next to limit item types by library is confusing
Product: Koha Reporter: Caroline Cyr La Rose <caroline.cyr-la-rose>
Component: System AdministrationAssignee: David Nind <david>
Status: Pushed to master --- QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: david, gmcharlt, joy, martin.renvoize
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
This enhancement updates the explanation on the item type add and edit form for the 'Library limitation' field. The text now says "Select 'All libraries' if all libraries use this item type. Otherwise, select the specific libraries that use this item type."
Version(s) released in:
20.05.00
Attachments: Bug 24291: Update the item type form text for library limitation field
Bug 24291: Update the item type form text for library limitation field
Bug 24291: Update the item type form text for library limitation field

Description Caroline Cyr La Rose 2019-12-20 19:00:46 UTC
Bug 15497 introduced the ability to limit item types by categories. However, the text next to the box mentions authorized values. 

It should say 
"Select 'All libraries' if this item type is used by all libraries. Otherwise select libraries you want to associate with this item type."

Or something like that.
Comment 1 David Nind 2020-01-25 11:44:19 UTC
Created attachment 97939 [details] [review]
Bug 24291: Update the item type form text for library limitation field

Bug 15497 introduced the ability to limit item types by library.
However, the text next to the 'Library limitation' selection field on
the item type form mentions authorized values and is confusing.

The current text reads: "Select 'All libraries' if this authorized value
must be displayed all the time. Otherwise select libraries you want to
associate with this value."

This patch updates the text on the item type add or edit form for the
'Library limitation' field to something more understandable.

To test:
1) Apply the patch
2) Go to Administration > Basic parameters > Item types
3) Click 'Edit' for any item type
4) The text next to the 'Library limitation' field should now show
"Select 'All libraries' if all libraries use this item type. Otherwise,
select the specific libraries that use this item type."
5) Sign off
Comment 2 Bernardo Gonzalez Kriegel 2020-02-23 19:48:09 UTC
Created attachment 99473 [details] [review]
Bug 24291: Update the item type form text for library limitation field

Bug 15497 introduced the ability to limit item types by library.
However, the text next to the 'Library limitation' selection field on
the item type form mentions authorized values and is confusing.

The current text reads: "Select 'All libraries' if this authorized value
must be displayed all the time. Otherwise select libraries you want to
associate with this value."

This patch updates the text on the item type add or edit form for the
'Library limitation' field to something more understandable.

To test:
1) Apply the patch
2) Go to Administration > Basic parameters > Item types
3) Click 'Edit' for any item type
4) The text next to the 'Library limitation' field should now show
"Select 'All libraries' if all libraries use this item type. Otherwise,
select the specific libraries that use this item type."
5) Sign off

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
String change, no errors.
Comment 3 Jonathan Druart 2020-02-24 11:10:31 UTC
Created attachment 99485 [details] [review]
Bug 24291: Update the item type form text for library limitation field

Bug 15497 introduced the ability to limit item types by library.
However, the text next to the 'Library limitation' selection field on
the item type form mentions authorized values and is confusing.

The current text reads: "Select 'All libraries' if this authorized value
must be displayed all the time. Otherwise select libraries you want to
associate with this value."

This patch updates the text on the item type add or edit form for the
'Library limitation' field to something more understandable.

To test:
1) Apply the patch
2) Go to Administration > Basic parameters > Item types
3) Click 'Edit' for any item type
4) The text next to the 'Library limitation' field should now show
"Select 'All libraries' if all libraries use this item type. Otherwise,
select the specific libraries that use this item type."
5) Sign off

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
String change, no errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-02-24 13:27:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-03-31 22:12:35 UTC
Enhancement not backported to 19.11.x